## org.red5.server.api
Interface IMappingStrategy

All Known Implementing Classes:
  MappingStrategy

    public interface IMappingStrategy

This interface encapsulates the mapping strategy used by the context.

Method Summary
`String` `mapResourcePrefix(String contextPath)` Map a context path to a path prefix for resources.
`String` `mapScopeHandlerName(String contextPath)` Map a context path to the name of a scope handler.
`String` `mapServiceName(String name)` Map a name to the name of a service.

Method Detail

### mapServiceName

    String mapServiceName(String name)

  Map a name to the name of a service.

  Parameters:
    `name` - name to map
  Returns:
    The name of the service with the passed name

### mapScopeHandlerName

    String mapScopeHandlerName(String contextPath)

  Map a context path to the name of a scope handler.

  Parameters:
    `contextPath` - context path to map
  Returns:
    The name of a scope handler

### mapResourcePrefix

    String mapResourcePrefix(String contextPath)

  Map a context path to a path prefix for resources.

  Parameters:
    `contextPath` - context path to map
  Returns:
    The path prefix for resources with the given name

Copyright © 2006-2010 The Red5 Project